## python-ironicclient 0.1.2

=== requirements.txt ===
pbr>=0.5.21,<1.0
anyjson>=0.3.3
argparse
httplib2
lxml>=2.3
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.4.2
six>=1.4.1

=== debian/changelog ===
python-ironicclient (0.1.2-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Mar 2014 15:22:57 -0500

python-ironicclient (0.1.0-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Jan 2014 09:06:33 -0500

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), python-all (>= 2.6.6-3~), python-pbr,
 python-setuptools, python-httplib2, python-lxml, python-prettytable,
 python-keystoneclient, python-six, python-fixtures, python-mock, python-babel,
 python-mock, testrepository, python-testtools
Standards-Version: 3.9.5

Package: python-ironicclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python bindings for the Ironic API
 A python and command line client library for Ironic.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	testr init && testr run

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/python-ironicclient/python-ironicclient-(.*)\.tar.gz

## python-ironicclient 0.1.4

=== requirements.txt ===
anyjson>=0.3.3
argparse
httplib2>=0.7.5
lxml>=2.3
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.7.0
six>=1.6.0

=== debian/changelog ===
python-ironicclient (0.1.4-2) unstable; urgency=medium

  * Fixed VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Jun 2014 00:39:11 +0800

python-ironicclient (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Now implicitely build-depends on python-setuptools to easy things in
    Ubuntu (Closes: #750052).
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Jun 2014 21:04:20 +0800

python-ironicclient (0.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:28:32 +0000

python-ironicclient (0.1.2-3) experimental; urgency=medium

  * Added missing build-depends: subunit.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 17:03:25 +0000

python-ironicclient (0.1.2-2) experimental; urgency=low

  * Better unit test output.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Mar 2014 23:57:48 +0800

python-ironicclient (0.1.2-1) experimental; urgency=low

  * Initial release (Closes: #731681).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Nov 2012 17:15:12 +0000

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.8),
               python-setuptools
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-httplib2 (>= 0.7.5),
                     python-keystoneclient (>= 1:0.7.0),
                     python-lxml,
                     python-mock (>= 1.0),
                     python-prettytable,
                     python-six (>= 1.6.0),
                     python-sphinx (>= 0.0.18),
                     python-subunit,
                     python-testtools (>= 0.9.34),
                     subunit  (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ironicclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-httplib2 (>= 0.7.5),
         python-keystoneclient (>= 1:0.7.0),
         python-lxml,
         python-pbr (>= 0.8),
         python-prettytable,
         python-six (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Description: Client for OpenStack bare metal Service
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
endif

## python-ironicclient 0.2.1

=== debian/changelog ===
python-ironicclient (0.2.1-1~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 04 Oct 2014 03:58:07 -0400

python-ironicclient (0.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2014 22:57:18 +0800

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,19 @@
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.8),
-               python-setuptools
+               python-setuptools,
+               python-sphinx (>= 0.0.18)
 Build-Depends-Indep: python-anyjson (>= 0.3.3),
                      python-babel (>= 1.3),
                      python-coverage (>= 3.6),
                      python-fixtures (>= 0.3.14),
                      python-httplib2 (>= 0.7.5),
-                     python-keystoneclient (>= 1:0.7.0),
+                     python-keystoneclient (>= 1:0.10.0),
                      python-lxml,
                      python-mock (>= 1.0),
+                     python-oslosphinx,
                      python-prettytable,
-                     python-six (>= 1.6.0),
-                     python-sphinx (>= 0.0.18),
+                     python-six (>= 1.7.0),
                      python-subunit,
                      python-testtools (>= 0.9.34),
                      subunit  (>= 0.0.18),
@@ -35,11 +36,11 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-anyjson (>= 0.3.3),
          python-httplib2 (>= 0.7.5),
-         python-keystoneclient (>= 1:0.7.0),
+         python-keystoneclient (>= 1:0.10.0),
          python-lxml,
          python-pbr (>= 0.8),
          python-prettytable,
-         python-six (>= 1.6.0),
+         python-six (>= 1.7.0),
          ${misc:Depends},
          ${python:Depends}
 Description: Client for OpenStack bare metal Service

## python-ironicclient 0.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
anyjson>=0.3.3
argparse
httplib2>=0.7.5
lxml>=2.3
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
python-keystoneclient>=0.11.1
six>=1.7.0

=== debian/changelog ===
python-ironicclient (0.3.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Open up vivid release
  * debian/control: Add python-httpretty as a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 12 Nov 2014 09:51:23 -0500

## python-ironicclient 0.5.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
anyjson>=0.3.3
httplib2>=0.7.5
lxml>=2.3
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
python-keystoneclient>=1.1.0
six>=1.9.0

=== debian/changelog ===
python-ironicclient (0.5.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Jul 2015 20:37:55 +0000

python-ironicclient (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release, resolving incompatibilities between Nova
    and Ironic in OpenStack Kilo (LP: #1470950).

 -- James Page <james.page@ubuntu.com>  Fri, 03 Jul 2015 09:04:54 +0100

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), python-all (>= 2.6.6-3~), python-pbr,
 python-setuptools, python-httplib2, python-lxml, python-prettytable,
 python-keystoneclient, python-six, python-fixtures, python-mock, python-babel,
 python-mock, testrepository, python-testtools, python-httpretty
Standards-Version: 3.9.5

Package: python-ironicclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python bindings for the Ironic API
 A python and command line client library for Ironic.

## python-ironicclient 0.8.1

=== debian/changelog ===
python-ironicclient (0.8.1-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 25 Sep 2015 17:59:28 +0000

python-ironicclient (0.8.1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Not running unit tests with Python 3.4: it stays stuck then eventually
    dies in my Jenkins.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 16:50:45 -0400

python-ironicclient (0.8.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Added a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 15:39:05 +0000

python-ironicclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed installation folder for the bash completion script.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 13:46:24 +0000

python-ironicclient (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2015 10:02:42 +0100

python-ironicclient (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2015 10:09:42 +0100

python-ironicclient (0.3.3-1) experimental; urgency=medium

  * New upstream release.
  * Now packaging docs and bash completion script.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Feb 2015 11:56:52 +0100

python-ironicclient (0.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 00:06:26 +0800

=== debian/control ===
Source: python-ironicclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-appdirs (>= 1.3.0),
                     python-babel,
                     python-coverage,
                     python-dogpile.cache (>= 0.5.4),
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-httpretty (>= 0.8.4),
                     python-keystoneclient (>= 1:1.6.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 1.3),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable (>= 0.7),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-anyjson (>= 0.3.3),
                     python3-appdirs (>= 1.3.0),
                     python3-babel,
                     python3-dogpile.cache (>= 0.5.4),
                     python3-fixtures (>= 1.3.1),
                     python3-httplib2 (>= 0.7.5),
                     python3-httpretty (>= 0.8.4),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-lxml (>= 2.3),
                     python3-mock (>= 1.3),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-prettytable (>= 0.7),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ironicclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-ironicclient.git
Homepage: http://www.openstack.org

Package: python-ironicclient
Architecture: all
Depends: python-anyjson (>= 0.3.3),
         python-appdirs (>= 1.3.0),
         python-dogpile.cache (>= 0.5.4),
         python-httplib2 (>= 0.7.5),
         python-keystoneclient (>= 1:1.6.0),
         python-lxml (>= 2.3),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable (>= 0.7),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Client for OpenStack bare metal Service - Python 2.7
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 2.7 support.

Package: python3-ironicclient
Architecture: all
Depends: python3-anyjson (>= 0.3.3),
         python3-appdirs (>= 1.3.0),
         python3-dogpile.cache (>= 0.5.4),
         python3-httplib2 (>= 0.7.5),
         python3-keystoneclient (>= 1:1.6.0),
         python3-lxml (>= 2.3),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-prettytable (>= 0.7),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Client for OpenStack bare metal Service - Python 3.x
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the Python 3.x support.

Package: python-ironicclient-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Client for OpenStack bare metal Service - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may
 implement
 additional functionality.
 .
 This is a client for the OpenStack Ironic API. There's a Python API
 (the "ironicclient" module), and a command-line script ("ironic").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Ironic's API.
 .
 This package provides the documentation.

## python-ironicclient 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
appdirs>=1.3.0 # MIT License
dogpile.cache>=0.5.4 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
httplib2>=0.7.5 # MIT
keystoneauth1>=2.1.0  # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-openstackclient>=2.1.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironicclient (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:29:56 +0000

python-ironicclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:17:49 +0100

python-ironicclient (1.1.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Corey Bryant ]
  * d/control: Update uploaders.
  * d/control: Drop python-doc8 as it's not needed for package builds.

  [ Thomas Goirand ]
  * Do not test with Py3, as it goes in an infinite loop in Trusty.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:42:40 +0000

python-ironicclient (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Also testing for Python 3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 05:19:51 +0000

python-ironicclient (0.8.1-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:34:01 +0000

python-ironicclient (0.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:58:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,69 +4,78 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9~),
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.6),
+               python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-anyjson (>= 0.3.3),
-                     python-appdirs (>= 1.3.0),
+Build-Depends-Indep: python-appdirs (>= 1.3.0),
                      python-babel,
                      python-coverage,
+                     python-cliff (>= 1.15.0),
                      python-dogpile.cache (>= 0.5.4),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
                      python-httplib2 (>= 0.7.5),
-                     python-httpretty (>= 0.8.4),
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-lxml (>= 2.3),
+                     python-keystoneauth1 (>= 2.1.0),
                      python-mock (>= 1.3),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-openstackclient (>= 2.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1.11.0),
+                     python-os-testr (>= 0.4.1),
                      python-prettytable (>= 0.7),
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
-                     python3-anyjson (>= 0.3.3),
+                     python-tempest-lib (>= 0.14.0),
                      python3-appdirs (>= 1.3.0),
                      python3-babel,
+                     python3-cliff (>= 1.15.0),
                      python3-dogpile.cache (>= 0.5.4),
                      python3-fixtures (>= 1.3.1),
                      python3-httplib2 (>= 0.7.5),
-                     python3-httpretty (>= 0.8.4),
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-lxml (>= 2.3),
+                     python3-keystoneauth1 (>= 2.1.0),
                      python3-mock (>= 1.3),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-openstackclient (>= 2.1.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslotest (>= 1.11.0),
+                     python3-os-testr (>= 0.4.1),
                      python3-prettytable (>= 0.7),
+                     python3-requests (>= 2.8.1),
+                     python3-requests-mock (>= 0.7.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
+                     python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
                      subunit,
-                     testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ironicclient.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-ironicclient.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironicclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironicclient.git
 Homepage: http://www.openstack.org
 
 Package: python-ironicclient
 Architecture: all
-Depends: python-anyjson (>= 0.3.3),
-         python-appdirs (>= 1.3.0),
+Depends: python-appdirs (>= 1.3.0),
+         python-cliff (>= 1.15.0),
          python-dogpile.cache (>= 0.5.4),
          python-httplib2 (>= 0.7.5),
-         python-keystoneclient (>= 1:1.6.0),
-         python-lxml (>= 2.3),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.utils (>= 2.0.0),
-         python-pbr (>= 1.6),
+         python-keystoneauth1 (>= 2.1.0),
+         python-openstackclient (>= 2.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
+         python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -89,16 +98,17 @@
 
 Package: python3-ironicclient
 Architecture: all
-Depends: python3-anyjson (>= 0.3.3),
-         python3-appdirs (>= 1.3.0),
+Depends: python3-appdirs (>= 1.3.0),
+         python3-cliff (>= 0.15.0),
          python3-dogpile.cache (>= 0.5.4),
          python3-httplib2 (>= 0.7.5),
-         python3-keystoneclient (>= 1:1.6.0),
-         python3-lxml (>= 2.3),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.utils (>= 2.0.0),
-         python3-pbr (>= 1.6),
+         python3-keystoneauth1 (>= 2.1.0),
+         python3-openstackclient (>= 2.1.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
+         python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
+         python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironicclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ironicclient; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-ironicclient/usr/bin/ironic $(CURDIR)/debian/python-ironicclient/usr/bin/python2-ironic
	mv $(CURDIR)/debian/python3-ironicclient/usr/bin/ironic $(CURDIR)/debian/python3-ironicclient/usr/bin/python3-ironic

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'ironicclient\.tests\.unit\.(?!(.*test_utils\.CommonParamsForListTest.*))' | tee $$TEMP_REZ | subunit2pyunit ; \

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-ironicclient 1.3.1

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
 appdirs>=1.3.0 # MIT License
-dogpile.cache>=0.5.4 # BSD
+dogpile.cache>=0.5.7 # BSD
 cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
 httplib2>=0.7.5 # MIT
-keystoneauth1>=2.1.0  # Apache-2.0
+keystoneauth1>=2.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 PrettyTable<0.8,>=0.7 # BSD

=== debian/changelog ===
python-ironicclient (1.3.1-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 15:24:49 +0000

python-ironicclient (1.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/gbp.conf: Update OpenStack Release to Newton.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:52:26 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9~),
                dh-python,
-               openstack-pkg-tools (>= 23~),
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -19,7 +19,7 @@
                      python-babel,
                      python-coverage,
                      python-cliff (>= 1.15.0),
-                     python-dogpile.cache (>= 0.5.4),
+                     python-dogpile.cache (>= 0.5.7),
                      python-fixtures (>= 1.3.1),
                      python-hacking (>= 0.10.0),
                      python-httplib2 (>= 0.7.5),
@@ -40,7 +40,7 @@
                      python3-appdirs (>= 1.3.0),
                      python3-babel,
                      python3-cliff (>= 1.15.0),
-                     python3-dogpile.cache (>= 0.5.4),
+                     python3-dogpile.cache (>= 0.5.7),
                      python3-fixtures (>= 1.3.1),
                      python3-httplib2 (>= 0.7.5),
                      python3-keystoneauth1 (>= 2.1.0),
@@ -58,7 +58,7 @@
                      python3-tempest-lib (>= 0.14.0),
                      python3-testtools (>= 1.4.0),
                      subunit,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironicclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironicclient.git
 Homepage: http://www.openstack.org
@@ -67,7 +67,7 @@
 Architecture: all
 Depends: python-appdirs (>= 1.3.0),
          python-cliff (>= 1.15.0),
-         python-dogpile.cache (>= 0.5.4),
+         python-dogpile.cache (>= 0.5.7),
          python-httplib2 (>= 0.7.5),
          python-keystoneauth1 (>= 2.1.0),
          python-openstackclient (>= 2.1.0),
@@ -100,7 +100,7 @@
 Architecture: all
 Depends: python3-appdirs (>= 1.3.0),
          python3-cliff (>= 0.15.0),
-         python3-dogpile.cache (>= 0.5.4),
+         python3-dogpile.cache (>= 0.5.7),
          python3-httplib2 (>= 0.7.5),
          python3-keystoneauth1 (>= 2.1.0),
          python3-openstackclient (>= 2.1.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_install
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-ironicclient-doc/usr/share/doc/python-ironicclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-ironicclient 1.7.0

=== debian/changelog ===
python-ironicclient (1.7.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 10:09:57 +0000

python-ironicclient (1.7.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Run tests with ostestr.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Using pkgos-dh_auto_test

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 10:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -17,66 +17,71 @@
                python3-setuptools,
 Build-Depends-Indep: python-appdirs (>= 1.3.0),
                      python-babel,
+                     python-cliff (>= 1.15.0),
                      python-coverage,
-                     python-cliff (>= 1.15.0),
-                     python-dogpile.cache (>= 0.5.7),
-                     python-fixtures (>= 1.3.1),
+                     python-dogpile.cache (>= 0.6.2),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-httplib2 (>= 0.7.5),
-                     python-keystoneauth1 (>= 2.1.0),
-                     python-mock (>= 1.3),
+                     python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mock (>= 2.0),
                      python-openstackclient (>= 2.1.0),
+                     python-os-testr (>= 0.7.0),
+                     python-osc-lib (>= 1.0.2),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.11.0),
-                     python-os-testr (>= 0.4.1),
+                     python-oslotest (>= 1:1.11.0),
                      python-prettytable (>= 0.7),
-                     python-requests (>= 2.8.1),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
-                     python-tempest-lib (>= 0.14.0),
+                     python-yaml (>= 3.1.0),
                      python3-appdirs (>= 1.3.0),
                      python3-babel,
                      python3-cliff (>= 1.15.0),
-                     python3-dogpile.cache (>= 0.5.7),
-                     python3-fixtures (>= 1.3.1),
-                     python3-httplib2 (>= 0.7.5),
-                     python3-keystoneauth1 (>= 2.1.0),
-                     python3-mock (>= 1.3),
+                     python3-dogpile.cache (>= 0.6.2),
+                     python3-fixtures (>= 3.0.0),
+                     python3-jsonschema (>= 2.0.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mock (>= 2.0),
                      python3-openstackclient (>= 2.1.0),
+                     python3-os-testr (>= 0.7.0),
+                     python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.11.0),
-                     python3-os-testr (>= 0.4.1),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.11.0),
                      python3-prettytable (>= 0.7),
-                     python3-requests (>= 2.8.1),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
-                     python3-tempest-lib (>= 0.14.0),
+                     python3-tempest (>= 1:12.1.0),
                      python3-testtools (>= 1.4.0),
+                     python3-yaml (>= 3.1.0),
                      subunit,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironicclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironicclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ironicclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-ironicclient -b debian/newton
 Homepage: http://www.openstack.org
 
 Package: python-ironicclient
 Architecture: all
 Depends: python-appdirs (>= 1.3.0),
          python-cliff (>= 1.15.0),
-         python-dogpile.cache (>= 0.5.7),
-         python-httplib2 (>= 0.7.5),
-         python-keystoneauth1 (>= 2.1.0),
+         python-dogpile.cache (>= 0.6.2),
+         python-keystoneauth1 (>= 2.10.0),
          python-openstackclient (>= 2.1.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
+         python-yaml (>= 3.1.0),
          ${misc:Depends},
          ${python:Depends},
 Description: Client for OpenStack bare metal Service - Python 2.7
@@ -100,16 +105,17 @@
 Architecture: all
 Depends: python3-appdirs (>= 1.3.0),
          python3-cliff (>= 0.15.0),
-         python3-dogpile.cache (>= 0.5.7),
-         python3-httplib2 (>= 0.7.5),
-         python3-keystoneauth1 (>= 2.1.0),
+         python3-dogpile.cache (>= 0.6.2),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-openstackclient (>= 2.1.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
+         python3-yaml (>= 3.1.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: Client for OpenStack bare metal Service - Python 3.x
@@ -132,8 +138,8 @@
 Package: python-ironicclient-doc
 Section: doc
 Architecture: all
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Client for OpenStack bare metal Service - doc
  Ironic provision bare metal machines instead of virtual machines. It is a fork
  of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor

## python-ironicclient 1.7.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
appdirs>=1.3.0 # MIT License
dogpile.cache>=0.6.2 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
python-openstackclient>=2.1.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironicclient (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Dec 2016 00:10:08 +0100

python-ironicclient (1.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,

## python-ironicclient 1.11.1

=== debian/changelog ===
python-ironicclient (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- David Homolka <david.homolka@ultimum.io>  Tue, 15 Aug 2017 10:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -17,71 +17,76 @@
                python3-setuptools,
 Build-Depends-Indep: python-appdirs (>= 1.3.0),
                      python-babel,
-                     python-cliff (>= 1.15.0),
                      python-coverage,
+                     python-ddt (>= 1.0.1),
                      python-dogpile.cache (>= 0.6.2),
                      python-fixtures (>= 3.0.0),
-                     python-hacking (>= 0.10.0),
+                     python-hacking (>= 0.12.0),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
-                     python-openstackclient (>= 2.1.0),
-                     python-os-testr (>= 0.7.0),
-                     python-osc-lib (>= 1.0.2),
+                     python-openstackclient (>= 3.3.0),
+                     python-os-testr (>= 0.8.0),
+                     python-osc-lib (>= 1.2.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.11.0),
-                     python-prettytable (>= 0.7),
+                     python-prettytable (>= 0.7.1),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
                      python-tempest (>= 1:12.1.0),
                      python-testtools (>= 1.4.0),
-                     python-yaml (>= 3.1.0),
+                     python-yaml (>= 3.10.0),
                      python3-appdirs (>= 1.3.0),
                      python3-babel,
-                     python3-cliff (>= 1.15.0),
+                     python3-coverage,
+                     python3-ddt (>= 1.0.1),
                      python3-dogpile.cache (>= 0.6.2),
                      python3-fixtures (>= 3.0.0),
+                     python3-hacking (>= 0.12.0),
                      python3-jsonschema (>= 2.0.0),
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-mock (>= 2.0),
-                     python3-openstackclient (>= 2.1.0),
+                     python3-openstackclient (>= 3.3.0),
                      python3-os-testr (>= 0.7.0),
-                     python3-osc-lib (>= 1.0.2),
+                     python3-osc-lib (>= 1.2.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.serialization (>= 1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
                      python3-oslotest (>= 1:1.11.0),
-                     python3-prettytable (>= 0.7),
+                     python3-prettytable (>= 0.7.1),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-tempest (>= 1:12.1.0),
                      python3-testtools (>= 1.4.0),
-                     python3-yaml (>= 3.1.0),
+                     python3-yaml (>= 3.10.0),
                      subunit,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ironicclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-ironicclient -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-ironicclient.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-ironicclient.git -b debian/ocata
 Homepage: http://www.openstack.org
 
 Package: python-ironicclient
 Architecture: all
 Depends: python-appdirs (>= 1.3.0),
-         python-cliff (>= 1.15.0),
          python-dogpile.cache (>= 0.6.2),
-         python-keystoneauth1 (>= 2.10.0),
-         python-openstackclient (>= 2.1.0),
-         python-osc-lib (>= 1.0.2),
+         python-keystoneauth1 (>= 2.18.0),
+         python-openstackclient (>= 3.3.0),
+         python-osc-lib (>= 1.2.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
-         python-prettytable (>= 0.7),
+         python-prettytable (>= 0.7.1),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-yaml (>= 3.1.0),
+         python-yaml (>= 3.10.0),
          ${misc:Depends},
          ${python:Depends},
 Description: Client for OpenStack bare metal Service - Python 2.7
@@ -104,18 +109,18 @@
 Package: python3-ironicclient
 Architecture: all
 Depends: python3-appdirs (>= 1.3.0),
-         python3-cliff (>= 0.15.0),
          python3-dogpile.cache (>= 0.6.2),
-         python3-keystoneauth1 (>= 2.10.0),
-         python3-openstackclient (>= 2.1.0),
-         python3-osc-lib (>= 1.0.2),
+         python3-keystoneauth1 (>= 2.18.0),
+         python3-openstackclient (>= 3.3.0),
+         python3-osc-lib (>= 1.2.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.serialization (>= 1.10.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
-         python3-prettytable (>= 0.7),
+         python3-prettytable (>= 0.7.1),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-yaml (>= 3.1.0),
+         python3-yaml (>= 3.10.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: Client for OpenStack bare metal Service - Python 3.x
